/*
   Name: types.h
   Language: ANSI/ISO C

   Purpose: Definition of global types and macros
   Author: James Blustein <jamie@csd.uwo.ca>
   Created: 1 January 1996
   Last Modified: 1 January 1996 by James Blustein
*/

typedef enum bool {FALSE, TRUE} bool;
typedef char * string;

/* Provide access to ANSI preprocessor stringize operator outside of macros */
#define Stringize(x)  #x
#define Expand(x)     Stringize(x)

/* end of "types.h" */
